# -*- encoding: utf-8 -*-
# stub: acts_as_graph_vertex 1.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "acts_as_graph_vertex".freeze
  s.version = "1.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Nathan Kleyn".freeze]
  s.date = "2018-10-01"
  s.description = "Simple mixin for adding graph like functions (parents, children, traversal,\netc) to any class. Effectively, you'll get DAG (directed acyclic graph)\nbehaviour between your classes and therefore the ability to model parent,\nchild and sibling behaviours with ease!\n".freeze
  s.email = ["nathan@nathankleyn.com".freeze]
  s.homepage = "https://github.com/nathankleyn/acts_as_graph_vertex".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Simple mixin for adding graph like functions (parents, children, traversal, etc) to any class.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<coveralls>.freeze, ["~> 0.8.22"])
    s.add_development_dependency(%q<filewatcher>.freeze, ["~> 1.1", ">= 1.1.1"])
    s.add_development_dependency(%q<pry-byebug>.freeze, ["~> 3.6", ">= 3.6.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.8", ">= 3.8.0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.59.2"])
    s.add_development_dependency(%q<rubocop-rspec>.freeze, ["~> 1.29", ">= 1.29.1"])
  else
    s.add_dependency(%q<coveralls>.freeze, ["~> 0.8.22"])
    s.add_dependency(%q<filewatcher>.freeze, ["~> 1.1", ">= 1.1.1"])
    s.add_dependency(%q<pry-byebug>.freeze, ["~> 3.6", ">= 3.6.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.8", ">= 3.8.0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.59.2"])
    s.add_dependency(%q<rubocop-rspec>.freeze, ["~> 1.29", ">= 1.29.1"])
  end
end
